td.nowrap {
    white-space: nowrap;
}



.right{
    text-align:right;

}

.center{
    text-align:center;
}

#page{

width: 100%;
//margin-left: auto;
//margin-right: auto;

overflow: hidden;
//border:1px solid #d0d0d0;
//padding:5px;

}
#puzzlesBar{
     
     padding: 5px;
     overflow: hidden;
}

#main{
    overflow: hidden;

}
#sheet{
    // width: 1024px;
    // height: 1024px;
     
     overflow: hidden;
}

.sheetColors{
     //background-image: url("./img/puzzlebgorange.png");
      //background-image: url("./img/bg02.jpg");
     background-repeat: no-repeat;
}


#myCanvas{
    //border: 1px solid red;
    
}

canvas{
    //border:1px solid #d0d0d0;
}


.sheetColors #puzzle{

    //border: 3px solid blue;
    width:840px;
    height:770px;
    margin-left: 0px;
     margin-top: 0px;
}

.sheetBlackWhite #puzzle{

    //border: 3px solid blue;
   width:578px;
    height:578px;
    margin-left: 221px;
     margin-top: 222px;
}



#console { overflow: hidden;}

#console table { }
//#console textarea { border: 1px solid gray; }
#console p {display:block; padding-right:30px; padding-left:30px; margin: 0px; padding-top:0px;}
#console td{ border: 1px solid gray;} 
td #queueData {width: 97%}



#puzzleform{
    margin-top:20px;
    margin-bottom:100px;
}
#puzzleform #button-save{
    padding: 8px 30px 8px 30px;
} 

#puzzleform textarea{
   display:xnone;
   width: 75%;
   height: 200px; 
}




.display-none{
    display:none;
}

.msg-error{
    font-size:1.5rem;
    color:red;    
}

.msg-success{
    font-size:1.5rem;
    color:green;    
}

.form-table{
     display: grid;
     grid-gap: 5px;
     grid-template-columns: auto 1fr;
}
.form-cell{
     display: flex;
     width-min:0;
}

#button-save{
    margin-top: 5px;
}